﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using LabelHtml.Forms.Plugin.Abstractions;

namespace ppp
{

    public class MyWebView : WebView
    {
        public static readonly BindableProperty UrlProperty = BindableProperty.Create(
            propertyName: "Url",
            returnType: typeof(string),
            declaringType: typeof(MyWebView),
            defaultValue: default(string));

        public string Url
        {
            get { return (string)GetValue(UrlProperty); }
            set { SetValue(UrlProperty, value); }
        }
    }

    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            MyWebView web = new MyWebView();

            web.VerticalOptions = LayoutOptions.FillAndExpand;
            web.Url = "<center><h4>Enjoy our ongoing daily Bible series.</h4></center>\r\n<center><h4>New Testament 353 - Felix </h4></center>\r\n<div class=\"video-responsive\"><iframe src=\"https://player.vimeo.com/video/377392504\" width=\"640\" height=\"360\" frameborder=\"0\" webkitallowfullscreen=\"\" mozallowfullscreen=\"\" allowfullscreen=\"\"></iframe></div>\r\n<p>A quiz on this New Testament bible story can be&nbsp;<a href=\"https://www.catholicbrain.com/edu-video/902164/quiz/902844/nt-353---felix\">found here</a>.</p>";

            Content = web;



            //HtmlLabel label = new HtmlLabel();

            //label.HorizontalTextAlignment = TextAlignment.Center;
            //label.VerticalTextAlignment = TextAlignment.Center;


            //label.Text = "<center><h4>Enjoy our ongoing daily Bible series.</h4></center>\r\n<center><h4>New Testament 353 - Felix </h4></center>\r\n<div class=\"video-responsive\"><iframe src=\"https://player.vimeo.com/video/377392504\" width=\"640\" height=\"360\" frameborder=\"0\" webkitallowfullscreen=\"\" mozallowfullscreen=\"\" allowfullscreen=\"\"></iframe></div>\r\n<p>A quiz on this New Testament bible story can be&nbsp;<a href=\"https://www.catholicbrain.com/edu-video/902164/quiz/902844/nt-353---felix\">found here</a>.</p>";
            //Content = label;
        }
    }
}
